Enable "Wikimedia DE Policy News Update" RSS feed on meta.wikimedia.org
Closed, ResolvedPublic

Description

My colleagues at Wikimedia Germany Policy Team are setting up their page on meta. Its current draft is at https://meta.wikimedia.org/wiki/DE_policy.

As a part of this page they'd like to include news from their political news RSS feed.
The feed is hosted at https://tagteam.harvard.edu/hubs/wmde-policy-update/tag/rss/wmde.policy.update.

On the technical sides of things this means enabling RSS extension on metawiki, and add the above mentioned feed's URL to meta's RSS whitelist.

WMDE devs will prepare configuration change patches for both actions (I guess it makes sense to have them done separately).

Is there anything to consider here first? In particular, is there a reason not to enable RSS extension on Meta?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2017, 3:17 PM
WMDE-leszek triaged this task as "Normal" priority.Jan 20 2017, 3:18 PM
Urbanecm lowered the priority of this task from "Normal" to "Low".
Urbanecm added a subscriber: Urbanecm.

Please discuss this with metawiki community first as described at https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes. BTW there is no need to involve WMDE's devs as it is about inserting two lines.

Urbanecm claimed this task.Jan 20 2017, 7:39 PM

Urbanecm is correct. Please see Meta:Babel (our local village pump) to
propose this changes. If there's consensus for them, we can move forward.
Thank you for your understanding. Best regards.

Urbanecm changed the task status from "Open" to "Stalled".Jan 21 2017, 4:09 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.
Urbanecm lowered the priority of this task from "Low" to "Lowest".Jan 27 2017, 9:18 AM
MZMcBride changed the task status from "Stalled" to "Open".Jan 29 2017, 5:58 AM
MZMcBride added a project: Easy.
MZMcBride added a subscriber: MZMcBride.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 29 2017, 5:59 AM
Urbanecm raised the priority of this task from "Lowest" to "Normal".

Easy isn't used here (all config changes are easy).

Change 334864 had a related patch set uploaded (by Urbanecm):
Enable RSS extension at metawiki, enable one feed

https://gerrit.wikimedia.org/r/334864

Will be deployed on Monday, 15:00-16:00 UTC.

Change 334864 merged by jenkins-bot:
Enable RSS extension at metawiki, enable one feed

https://gerrit.wikimedia.org/r/334864

hashar added a subscriber: hashar.Jan 30 2017, 2:29 PM

I have validated the config change on mwdebug1001 via https://meta.wikimedia.org/wiki/User:Hashar/T155830 and deployed it :]

Mentioned in SAL (#wikimedia-operations) [2017-01-30T14:29:39Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable RSS extension at metawiki, enable one feed - T155830 (duration: 00m 42s)

Urbanecm closed this task as "Resolved".Jan 30 2017, 2:30 PM